Publishing details

Changelog

nodejs (0.6.12~dfsg1-1ubuntu1) precise; urgency=low

  * Merge from Debian unstable (LP: #892034), remaining changes:
    - This package is x86/arm only. Update control to match
    - d/patches/2009_increase_test_timeout.patch: Increased default test
      timeout from 60 to 120 seconds to support reliable execution of all
      tests on armhf/armel architectures.
    - d/patches/2005_expected_failing_tests.patch:
      - Allow racey tests to fail: test-cluster-kill-workers,
        test-child-process-fork2
      - Allow test-fs-watch to fail as LP buildd's don't support
        inotify.
      - Revert all other Ubuntu changes as no longer required.

nodejs (0.6.12~dfsg1-1) unstable; urgency=low

  * Update Standards-Version to 3.9.3.
  * Patch wscript to enable build on mipsel arch, libv8 being available.
    Upstream does not support that arch, failure expected.
  * test-cluster-kill-workers is expected to fail on armhf,
    Bug#660802 will be closed when test pass.
  * test-buffer is expected to fail on armel,
    Bug#660800 will be closed when test pass.
  * Add epoch to dependency on libev >= 1:4.11. Closes: bug#658441.
  * Remove tools/doc because node-doc-generator has no license for now.
  * Add copyright for doc/sh* files (shjs).
  * source.lintian-overrides : source-contains-waf-binary tools/node-waf
    it is simply not the case here.

nodejs (0.6.11~dfsg1-2) unstable; urgency=low

  * test-stream-pipe-multi expected to timeout sometimes on busy builds.

nodejs (0.6.11~dfsg1-1) unstable; urgency=low

  * New upstream release.
  * Remove upstream patches.
  * test-dgram-pingpong expected to timeout, the test itself is buggy.
  * test-buffer expected to fail on armel, allow building package to make
    it easier to find the cause of the failure.
    Closes: bug#639636.

nodejs (0.6.10~dfsg2-2) unstable; urgency=low

  [ Jérémy Lal ]
  * Expect tests dgram-multicast and broadcast to fail.
    debian/patches/2005_expected_failing_tests.patch

  [ Jonas Smedegaard ]
  * Drop dpkg-source local-options: Defaults since dpkg-source 1.16.1.

nodejs (0.6.10~dfsg2-1) unstable; urgency=low

  * New upstream release.
  * Depend on libev-dev 4.11, see bug#657080.
  * Bump dependency on openssl to 1.0.0g.
  * Remove useless uv_loop_refcount from libuv,
    refreshed 2009_fix_shared_ev.patch.
  * Apply to upstream patches landed after 0.6.10 release,
    to fix debugger repl and http client.

nodejs (0.6.8~dfsg1-1) experimental; urgency=low

  * New upstream release. Closes:bug#650661
  * Repackage to remove non-dfsg font files ./deps/npm/html/*/*.ttf
  * Remove unneeded bundled dependencies: lighter tarball,
    debian/copyright is easier to maintain.
  * Drop unneeded build-dependency on scons.
  * Depend on zlib1g, libc-ares, libev.
    Patches done to support building with those shared libs.
  * Fix DEB_UPSTREAM_URL in debian/rules, and debian/watch.
  * nodejs.pc file for pkgconfig is no more available.
  * Build-depend on procps package, a test is using /bin/ps.
  * Refreshed debian/patches/2005_expected_failing_tests.patch,
    only for tests that need networking.
 -- James Page <email address hidden>   Thu, 29 Mar 2012 23:18:49 +0100

Available diffs

Builds

Built packages

Package files